> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.givechariot.com/v2026-01-15/api/organizations/search/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.givechariot.com/_mcp/server. # Search organizations GET https://api.givechariot.com/v1/organizations/search Search for organizations by name or EIN. This endpoint exists to support a typeahead search or quick lookup by nonprofit EIN or name. The Get Organization API should be used to retrieve detailed information about an organization. Reference: https://docs.givechariot.com/api/organizations/search ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.givechariot.com` (Production, default) - `https://sandboxapi.givechariot.com` (Sandbox) ## Request ### Query parameters - `q` (string, required) — The query string to search for. If this is in the format of an EIN, the search will be limited exclusively to the organization with that EIN. Otherwise, this will be a fuzzy search on organization name. - `ein` (string, optional, deprecated) — The Employer Identification Number (EIN) or TaxID for the nonprofit entity. This is deprecated in favor of the `q` parameter. - `name` (string, optional, deprecated) — The name of the organization. This is deprecated in favor of the `q` parameter. - `limit` (integer, optional) — Limit the size of the list that is returned. The default (and maximum) is 20 objects. ## Response ### 200 The response for Organizations.search - `results` (list of OrganizationSummary, optional) ## Errors ### 400 Bad Request Error The request is invalid or contains invalid parameters - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ### 401 Unauthorized Error Unauthorized. The request is missing the security (OAuth2 Bearer token) requirements and the server is unable to verify the identify of the caller. - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ### 403 Forbidden Error Access denied - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ### 500 Internal Server Error Internal Server Error - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ## Types ### OrganizationSummary A summary of an organization. - `id` (string, required) — The unique identifier for the organization. - `ein` (string, required) — The Employer Identification Number (EIN) or TaxID for the nonprofit entity. - `name` (string, required) — The name of the organization. - `daf_eligible` (boolean, optional) — Whether the organization is eligible to receive donations from a Donor Advised Fund. - `city` (string, optional) — The city of the organization. - `state` (string, optional) — The state of the organization. ## Examples **Response** ```json { "results": [ { "id": "org_01j8rs605a4gctmbm58d87mvsj", "ein": "123456789", "name": "American Red Cross", "daf_eligible": true, "city": "New York", "state": "NY" } ] } ```